(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["d3"] = factory();
	else
		root["d3"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.utcParse = exports.utcFormat = exports.timeParse = exports.timeFormat = undefined;
exports.default = defaultLocale;

var _locale = __webpack_require__(1);

var _locale2 = _interopRequireDefault(_locale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var locale;
var timeFormat = exports.timeFormat = undefined;
var timeParse = exports.timeParse = undefined;
var utcFormat = exports.utcFormat = undefined;
var utcParse = exports.utcParse = undefined;

defaultLocale({
  dateTime: "%x, %X",
  date: "%-m/%-d/%Y",
  time: "%-I:%M:%S %p",
  periods: ["AM", "PM"],
  days: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
  shortDays: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
  months: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
  shortMonths: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]
});

function defaultLocale(definition) {
  locale = (0, _locale2.default)(definition);
  exports.timeFormat = timeFormat = locale.format;
  exports.timeParse = timeParse = locale.parse;
  exports.utcFormat = utcFormat = locale.utcFormat;
  exports.utcParse = utcParse = locale.utcParse;
  return locale;
}

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = formatLocale;

var _d3Time = __webpack_require__(4);

function localDate(d) {
  if (0 <= d.y && d.y < 100) {
    var date = new Date(-1, d.m, d.d, d.H, d.M, d.S, d.L);
    date.setFullYear(d.y);
    return date;
  }
  return new Date(d.y, d.m, d.d, d.H, d.M, d.S, d.L);
}

function utcDate(d) {
  if (0 <= d.y && d.y < 100) {
    var date = new Date(Date.UTC(-1, d.m, d.d, d.H, d.M, d.S, d.L));
    date.setUTCFullYear(d.y);
    return date;
  }
  return new Date(Date.UTC(d.y, d.m, d.d, d.H, d.M, d.S, d.L));
}

function newYear(y) {
  return { y: y, m: 0, d: 1, H: 0, M: 0, S: 0, L: 0 };
}

function formatLocale(locale) {
  var locale_dateTime = locale.dateTime,
      locale_date = locale.date,
      locale_time = locale.time,
      locale_periods = locale.periods,
      locale_weekdays = locale.days,
      locale_shortWeekdays = locale.shortDays,
      locale_months = locale.months,
      locale_shortMonths = locale.shortMonths;

  var periodRe = formatRe(locale_periods),
      periodLookup = formatLookup(locale_periods),
      weekdayRe = formatRe(locale_weekdays),
      weekdayLookup = formatLookup(locale_weekdays),
      shortWeekdayRe = formatRe(locale_shortWeekdays),
      shortWeekdayLookup = formatLookup(locale_shortWeekdays),
      monthRe = formatRe(locale_months),
      monthLookup = formatLookup(locale_months),
      shortMonthRe = formatRe(locale_shortMonths),
      shortMonthLookup = formatLookup(locale_shortMonths);

  var formats = {
    "a": formatShortWeekday,
    "A": formatWeekday,
    "b": formatShortMonth,
    "B": formatMonth,
    "c": null,
    "d": formatDayOfMonth,
    "e": formatDayOfMonth,
    "H": formatHour24,
    "I": formatHour12,
    "j": formatDayOfYear,
    "L": formatMilliseconds,
    "m": formatMonthNumber,
    "M": formatMinutes,
    "p": formatPeriod,
    "S": formatSeconds,
    "U": formatWeekNumberSunday,
    "w": formatWeekdayNumber,
    "W": formatWeekNumberMonday,
    "x": null,
    "X": null,
    "y": formatYear,
    "Y": formatFullYear,
    "Z": formatZone,
    "%": formatLiteralPercent
  };

  var utcFormats = {
    "a": formatUTCShortWeekday,
    "A": formatUTCWeekday,
    "b": formatUTCShortMonth,
    "B": formatUTCMonth,
    "c": null,
    "d": formatUTCDayOfMonth,
    "e": formatUTCDayOfMonth,
    "H": formatUTCHour24,
    "I": formatUTCHour12,
    "j": formatUTCDayOfYear,
    "L": formatUTCMilliseconds,
    "m": formatUTCMonthNumber,
    "M": formatUTCMinutes,
    "p": formatUTCPeriod,
    "S": formatUTCSeconds,
    "U": formatUTCWeekNumberSunday,
    "w": formatUTCWeekdayNumber,
    "W": formatUTCWeekNumberMonday,
    "x": null,
    "X": null,
    "y": formatUTCYear,
    "Y": formatUTCFullYear,
    "Z": formatUTCZone,
    "%": formatLiteralPercent
  };

  var parses = {
    "a": parseShortWeekday,
    "A": parseWeekday,
    "b": parseShortMonth,
    "B": parseMonth,
    "c": parseLocaleDateTime,
    "d": parseDayOfMonth,
    "e": parseDayOfMonth,
    "H": parseHour24,
    "I": parseHour24,
    "j": parseDayOfYear,
    "L": parseMilliseconds,
    "m": parseMonthNumber,
    "M": parseMinutes,
    "p": parsePeriod,
    "S": parseSeconds,
    "U": parseWeekNumberSunday,
    "w": parseWeekdayNumber,
    "W": parseWeekNumberMonday,
    "x": parseLocaleDate,
    "X": parseLocaleTime,
    "y": parseYear,
    "Y": parseFullYear,
    "Z": parseZone,
    "%": parseLiteralPercent
  };

  // These recursive directive definitions must be deferred.
  formats.x = newFormat(locale_date, formats);
  formats.X = newFormat(locale_time, formats);
  formats.c = newFormat(locale_dateTime, formats);
  utcFormats.x = newFormat(locale_date, utcFormats);
  utcFormats.X = newFormat(locale_time, utcFormats);
  utcFormats.c = newFormat(locale_dateTime, utcFormats);

  function newFormat(specifier, formats) {
    return function (date) {
      var string = [],
          i = -1,
          j = 0,
          n = specifier.length,
          c,
          pad,
          format;

      if (!(date instanceof Date)) date = new Date(+date);

      while (++i < n) {
        if (specifier.charCodeAt(i) === 37) {
          string.push(specifier.slice(j, i));
          if ((pad = pads[c = specifier.charAt(++i)]) != null) c = specifier.charAt(++i);else pad = c === "e" ? " " : "0";
          if (format = formats[c]) c = format(date, pad);
          string.push(c);
          j = i + 1;
        }
      }

      string.push(specifier.slice(j, i));
      return string.join("");
    };
  }

  function newParse(specifier, newDate) {
    return function (string) {
      var d = newYear(1900),
          i = parseSpecifier(d, specifier, string += "", 0);
      if (i != string.length) return null;

      // The am-pm flag is 0 for AM, and 1 for PM.
      if ("p" in d) d.H = d.H % 12 + d.p * 12;

      // Convert day-of-week and week-of-year to day-of-year.
      if ("W" in d || "U" in d) {
        if (!("w" in d)) d.w = "W" in d ? 1 : 0;
        var day = "Z" in d ? utcDate(newYear(d.y)).getUTCDay() : newDate(newYear(d.y)).getDay();
        d.m = 0;
        d.d = "W" in d ? (d.w + 6) % 7 + d.W * 7 - (day + 5) % 7 : d.w + d.U * 7 - (day + 6) % 7;
      }

      // If a time zone is specified, all fields are interpreted as UTC and then
      // offset according to the specified time zone.
      if ("Z" in d) {
        d.H += d.Z / 100 | 0;
        d.M += d.Z % 100;
        return utcDate(d);
      }

      // Otherwise, all fields are in local time.
      return newDate(d);
    };
  }

  function parseSpecifier(d, specifier, string, j) {
    var i = 0,
        n = specifier.length,
        m = string.length,
        c,
        parse;

    while (i < n) {
      if (j >= m) return -1;
      c = specifier.charCodeAt(i++);
      if (c === 37) {
        c = specifier.charAt(i++);
        parse = parses[c in pads ? specifier.charAt(i++) : c];
        if (!parse || (j = parse(d, string, j)) < 0) return -1;
      } else if (c != string.charCodeAt(j++)) {
        return -1;
      }
    }

    return j;
  }

  function parsePeriod(d, string, i) {
    var n = periodRe.exec(string.slice(i));
    return n ? (d.p = periodLookup[n[0].toLowerCase()], i + n[0].length) : -1;
  }

  function parseShortWeekday(d, string, i) {
    var n = shortWeekdayRe.exec(string.slice(i));
    return n ? (d.w = shortWeekdayLookup[n[0].toLowerCase()], i + n[0].length) : -1;
  }

  function parseWeekday(d, string, i) {
    var n = weekdayRe.exec(string.slice(i));
    return n ? (d.w = weekdayLookup[n[0].toLowerCase()], i + n[0].length) : -1;
  }

  function parseShortMonth(d, string, i) {
    var n = shortMonthRe.exec(string.slice(i));
    return n ? (d.m = shortMonthLookup[n[0].toLowerCase()], i + n[0].length) : -1;
  }

  function parseMonth(d, string, i) {
    var n = monthRe.exec(string.slice(i));
    return n ? (d.m = monthLookup[n[0].toLowerCase()], i + n[0].length) : -1;
  }

  function parseLocaleDateTime(d, string, i) {
    return parseSpecifier(d, locale_dateTime, string, i);
  }

  function parseLocaleDate(d, string, i) {
    return parseSpecifier(d, locale_date, string, i);
  }

  function parseLocaleTime(d, string, i) {
    return parseSpecifier(d, locale_time, string, i);
  }

  function formatShortWeekday(d) {
    return locale_shortWeekdays[d.getDay()];
  }

  function formatWeekday(d) {
    return locale_weekdays[d.getDay()];
  }

  function formatShortMonth(d) {
    return locale_shortMonths[d.getMonth()];
  }

  function formatMonth(d) {
    return locale_months[d.getMonth()];
  }

  function formatPeriod(d) {
    return locale_periods[+(d.getHours() >= 12)];
  }

  function formatUTCShortWeekday(d) {
    return locale_shortWeekdays[d.getUTCDay()];
  }

  function formatUTCWeekday(d) {
    return locale_weekdays[d.getUTCDay()];
  }

  function formatUTCShortMonth(d) {
    return locale_shortMonths[d.getUTCMonth()];
  }

  function formatUTCMonth(d) {
    return locale_months[d.getUTCMonth()];
  }

  function formatUTCPeriod(d) {
    return locale_periods[+(d.getUTCHours() >= 12)];
  }

  return {
    format: function format(specifier) {
      var f = newFormat(specifier += "", formats);
      f.toString = function () {
        return specifier;
      };
      return f;
    },
    parse: function parse(specifier) {
      var p = newParse(specifier += "", localDate);
      p.toString = function () {
        return specifier;
      };
      return p;
    },
    utcFormat: function utcFormat(specifier) {
      var f = newFormat(specifier += "", utcFormats);
      f.toString = function () {
        return specifier;
      };
      return f;
    },
    utcParse: function utcParse(specifier) {
      var p = newParse(specifier, utcDate);
      p.toString = function () {
        return specifier;
      };
      return p;
    }
  };
}

var pads = { "-": "", "_": " ", "0": "0" },
    numberRe = /^\s*\d+/,
    // note: ignores next directive
percentRe = /^%/,
    requoteRe = /[\\\^\$\*\+\?\|\[\]\(\)\.\{\}]/g;

function pad(value, fill, width) {
  var sign = value < 0 ? "-" : "",
      string = (sign ? -value : value) + "",
      length = string.length;
  return sign + (length < width ? new Array(width - length + 1).join(fill) + string : string);
}

function requote(s) {
  return s.replace(requoteRe, "\\$&");
}

function formatRe(names) {
  return new RegExp("^(?:" + names.map(requote).join("|") + ")", "i");
}

function formatLookup(names) {
  var map = {},
      i = -1,
      n = names.length;
  while (++i < n) {
    map[names[i].toLowerCase()] = i;
  }return map;
}

function parseWeekdayNumber(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 1));
  return n ? (d.w = +n[0], i + n[0].length) : -1;
}

function parseWeekNumberSunday(d, string, i) {
  var n = numberRe.exec(string.slice(i));
  return n ? (d.U = +n[0], i + n[0].length) : -1;
}

function parseWeekNumberMonday(d, string, i) {
  var n = numberRe.exec(string.slice(i));
  return n ? (d.W = +n[0], i + n[0].length) : -1;
}

function parseFullYear(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 4));
  return n ? (d.y = +n[0], i + n[0].length) : -1;
}

function parseYear(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.y = +n[0] + (+n[0] > 68 ? 1900 : 2000), i + n[0].length) : -1;
}

function parseZone(d, string, i) {
  var n = /^(Z)|([+-]\d\d)(?:\:?(\d\d))?/.exec(string.slice(i, i + 6));
  return n ? (d.Z = n[1] ? 0 : -(n[2] + (n[3] || "00")), i + n[0].length) : -1;
}

function parseMonthNumber(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.m = n[0] - 1, i + n[0].length) : -1;
}

function parseDayOfMonth(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.d = +n[0], i + n[0].length) : -1;
}

function parseDayOfYear(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 3));
  return n ? (d.m = 0, d.d = +n[0], i + n[0].length) : -1;
}

function parseHour24(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.H = +n[0], i + n[0].length) : -1;
}

function parseMinutes(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.M = +n[0], i + n[0].length) : -1;
}

function parseSeconds(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 2));
  return n ? (d.S = +n[0], i + n[0].length) : -1;
}

function parseMilliseconds(d, string, i) {
  var n = numberRe.exec(string.slice(i, i + 3));
  return n ? (d.L = +n[0], i + n[0].length) : -1;
}

function parseLiteralPercent(d, string, i) {
  var n = percentRe.exec(string.slice(i, i + 1));
  return n ? i + n[0].length : -1;
}

function formatDayOfMonth(d, p) {
  return pad(d.getDate(), p, 2);
}

function formatHour24(d, p) {
  return pad(d.getHours(), p, 2);
}

function formatHour12(d, p) {
  return pad(d.getHours() % 12 || 12, p, 2);
}

function formatDayOfYear(d, p) {
  return pad(1 + _d3Time.timeDay.count((0, _d3Time.timeYear)(d), d), p, 3);
}

function formatMilliseconds(d, p) {
  return pad(d.getMilliseconds(), p, 3);
}

function formatMonthNumber(d, p) {
  return pad(d.getMonth() + 1, p, 2);
}

function formatMinutes(d, p) {
  return pad(d.getMinutes(), p, 2);
}

function formatSeconds(d, p) {
  return pad(d.getSeconds(), p, 2);
}

function formatWeekNumberSunday(d, p) {
  return pad(_d3Time.timeSunday.count((0, _d3Time.timeYear)(d), d), p, 2);
}

function formatWeekdayNumber(d) {
  return d.getDay();
}

function formatWeekNumberMonday(d, p) {
  return pad(_d3Time.timeMonday.count((0, _d3Time.timeYear)(d), d), p, 2);
}

function formatYear(d, p) {
  return pad(d.getFullYear() % 100, p, 2);
}

function formatFullYear(d, p) {
  return pad(d.getFullYear() % 10000, p, 4);
}

function formatZone(d) {
  var z = d.getTimezoneOffset();
  return (z > 0 ? "-" : (z *= -1, "+")) + pad(z / 60 | 0, "0", 2) + pad(z % 60, "0", 2);
}

function formatUTCDayOfMonth(d, p) {
  return pad(d.getUTCDate(), p, 2);
}

function formatUTCHour24(d, p) {
  return pad(d.getUTCHours(), p, 2);
}

function formatUTCHour12(d, p) {
  return pad(d.getUTCHours() % 12 || 12, p, 2);
}

function formatUTCDayOfYear(d, p) {
  return pad(1 + _d3Time.utcDay.count((0, _d3Time.utcYear)(d), d), p, 3);
}

function formatUTCMilliseconds(d, p) {
  return pad(d.getUTCMilliseconds(), p, 3);
}

function formatUTCMonthNumber(d, p) {
  return pad(d.getUTCMonth() + 1, p, 2);
}

function formatUTCMinutes(d, p) {
  return pad(d.getUTCMinutes(), p, 2);
}

function formatUTCSeconds(d, p) {
  return pad(d.getUTCSeconds(), p, 2);
}

function formatUTCWeekNumberSunday(d, p) {
  return pad(_d3Time.utcSunday.count((0, _d3Time.utcYear)(d), d), p, 2);
}

function formatUTCWeekdayNumber(d) {
  return d.getUTCDay();
}

function formatUTCWeekNumberMonday(d, p) {
  return pad(_d3Time.utcMonday.count((0, _d3Time.utcYear)(d), d), p, 2);
}

function formatUTCYear(d, p) {
  return pad(d.getUTCFullYear() % 100, p, 2);
}

function formatUTCFullYear(d, p) {
  return pad(d.getUTCFullYear() % 10000, p, 4);
}

function formatUTCZone() {
  return "+0000";
}

function formatLiteralPercent() {
  return "%";
}
module.exports = exports["default"];

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isoSpecifier = undefined;

var _defaultLocale = __webpack_require__(0);

var isoSpecifier = exports.isoSpecifier = "%Y-%m-%dT%H:%M:%S.%LZ";

function formatIsoNative(date) {
    return date.toISOString();
}

var formatIso = Date.prototype.toISOString ? formatIsoNative : (0, _defaultLocale.utcFormat)(isoSpecifier);

exports.default = formatIso;

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defaultLocale = __webpack_require__(0);

Object.defineProperty(exports, "timeFormatDefaultLocale", {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_defaultLocale).default;
  }
});
Object.defineProperty(exports, "timeFormat", {
  enumerable: true,
  get: function get() {
    return _defaultLocale.timeFormat;
  }
});
Object.defineProperty(exports, "timeParse", {
  enumerable: true,
  get: function get() {
    return _defaultLocale.timeParse;
  }
});
Object.defineProperty(exports, "utcFormat", {
  enumerable: true,
  get: function get() {
    return _defaultLocale.utcFormat;
  }
});
Object.defineProperty(exports, "utcParse", {
  enumerable: true,
  get: function get() {
    return _defaultLocale.utcParse;
  }
});

var _locale = __webpack_require__(1);

Object.defineProperty(exports, "timeFormatLocale", {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_locale).default;
  }
});

var _isoFormat = __webpack_require__(2);

Object.defineProperty(exports, "isoFormat", {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_isoFormat).default;
  }
});

var _isoParse = __webpack_require__(6);

Object.defineProperty(exports, "isoParse", {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_isoParse).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

(function webpackUniversalModuleDefinition(root, factory) {
  if (( false ? 'undefined' : _typeof(exports)) === 'object' && ( false ? 'undefined' : _typeof(module)) === 'object') module.exports = factory();else if (true) !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_FACTORY__ = (factory),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));else if ((typeof exports === 'undefined' ? 'undefined' : _typeof(exports)) === 'object') exports["d3"] = factory();else root["d3"] = factory();
})(undefined, function () {
  return (/******/function (modules) {
      // webpackBootstrap
      /******/ // The module cache
      /******/var installedModules = {};
      /******/
      /******/ // The require function
      /******/function __webpack_require__(moduleId) {
        /******/
        /******/ // Check if module is in cache
        /******/if (installedModules[moduleId]) {
          /******/return installedModules[moduleId].exports;
          /******/
        }
        /******/ // Create a new module (and put it into the cache)
        /******/var module = installedModules[moduleId] = {
          /******/i: moduleId,
          /******/l: false,
          /******/exports: {}
          /******/ };
        /******/
        /******/ // Execute the module function
        /******/modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
        /******/
        /******/ // Flag the module as loaded
        /******/module.l = true;
        /******/
        /******/ // Return the exports of the module
        /******/return module.exports;
        /******/
      }
      /******/
      /******/
      /******/ // expose the modules object (__webpack_modules__)
      /******/__webpack_require__.m = modules;
      /******/
      /******/ // expose the module cache
      /******/__webpack_require__.c = installedModules;
      /******/
      /******/ // define getter function for harmony exports
      /******/__webpack_require__.d = function (exports, name, getter) {
        /******/if (!__webpack_require__.o(exports, name)) {
          /******/Object.defineProperty(exports, name, {
            /******/configurable: false,
            /******/enumerable: true,
            /******/get: getter
            /******/ });
          /******/
        }
        /******/
      };
      /******/
      /******/ // getDefaultExport function for compatibility with non-harmony modules
      /******/__webpack_require__.n = function (module) {
        /******/var getter = module && module.__esModule ?
        /******/function getDefault() {
          return module['default'];
        } :
        /******/function getModuleExports() {
          return module;
        };
        /******/__webpack_require__.d(getter, 'a', getter);
        /******/return getter;
        /******/
      };
      /******/
      /******/ // Object.prototype.hasOwnProperty.call
      /******/__webpack_require__.o = function (object, property) {
        return Object.prototype.hasOwnProperty.call(object, property);
      };
      /******/
      /******/ // __webpack_public_path__
      /******/__webpack_require__.p = "";
      /******/
      /******/ // Load entry module and return exports
      /******/return __webpack_require__(__webpack_require__.s = 2);
      /******/
    }(
    /************************************************************************/
    /******/[
    /* 0 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.default = newInterval;
      var t0 = new Date(),
          t1 = new Date();

      function newInterval(floori, offseti, count, field) {

        function interval(date) {
          return floori(date = new Date(+date)), date;
        }

        interval.floor = interval;

        interval.ceil = function (date) {
          return floori(date = new Date(date - 1)), offseti(date, 1), floori(date), date;
        };

        interval.round = function (date) {
          var d0 = interval(date),
              d1 = interval.ceil(date);
          return date - d0 < d1 - date ? d0 : d1;
        };

        interval.offset = function (date, step) {
          return offseti(date = new Date(+date), step == null ? 1 : Math.floor(step)), date;
        };

        interval.range = function (start, stop, step) {
          var range = [];
          start = interval.ceil(start);
          step = step == null ? 1 : Math.floor(step);
          if (!(start < stop) || !(step > 0)) return range; // also handles Invalid Date
          do {
            range.push(new Date(+start));
          } while ((offseti(start, step), floori(start), start < stop));
          return range;
        };

        interval.filter = function (test) {
          return newInterval(function (date) {
            if (date >= date) while (floori(date), !test(date)) {
              date.setTime(date - 1);
            }
          }, function (date, step) {
            if (date >= date) {
              if (step < 0) while (++step <= 0) {
                while (offseti(date, -1), !test(date)) {} // eslint-disable-line no-empty
              } else while (--step >= 0) {
                while (offseti(date, +1), !test(date)) {} // eslint-disable-line no-empty
              }
            }
          });
        };

        if (count) {
          interval.count = function (start, end) {
            t0.setTime(+start), t1.setTime(+end);
            floori(t0), floori(t1);
            return Math.floor(count(t0, t1));
          };

          interval.every = function (step) {
            step = Math.floor(step);
            return !isFinite(step) || !(step > 0) ? null : !(step > 1) ? interval : interval.filter(field ? function (d) {
              return field(d) % step === 0;
            } : function (d) {
              return interval.count(0, d) % step === 0;
            });
          };
        }

        return interval;
      }
      module.exports = exports["default"];

      /***/
    },
    /* 1 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      var durationSecond = exports.durationSecond = 1e3;
      var durationMinute = exports.durationMinute = 6e4;
      var durationHour = exports.durationHour = 36e5;
      var durationDay = exports.durationDay = 864e5;
      var durationWeek = exports.durationWeek = 6048e5;

      /***/
    },
    /* 2 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });

      var _interval = __webpack_require__(0);

      Object.defineProperty(exports, "timeInterval", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_interval).default;
        }
      });

      var _millisecond = __webpack_require__(3);

      Object.defineProperty(exports, "timeMillisecond", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_millisecond).default;
        }
      });
      Object.defineProperty(exports, "timeMilliseconds", {
        enumerable: true,
        get: function get() {
          return _millisecond.milliseconds;
        }
      });
      Object.defineProperty(exports, "utcMillisecond", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_millisecond).default;
        }
      });
      Object.defineProperty(exports, "utcMilliseconds", {
        enumerable: true,
        get: function get() {
          return _millisecond.milliseconds;
        }
      });

      var _second = __webpack_require__(4);

      Object.defineProperty(exports, "timeSecond", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_second).default;
        }
      });
      Object.defineProperty(exports, "timeSeconds", {
        enumerable: true,
        get: function get() {
          return _second.seconds;
        }
      });
      Object.defineProperty(exports, "utcSecond", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_second).default;
        }
      });
      Object.defineProperty(exports, "utcSeconds", {
        enumerable: true,
        get: function get() {
          return _second.seconds;
        }
      });

      var _minute = __webpack_require__(5);

      Object.defineProperty(exports, "timeMinute", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_minute).default;
        }
      });
      Object.defineProperty(exports, "timeMinutes", {
        enumerable: true,
        get: function get() {
          return _minute.minutes;
        }
      });

      var _hour = __webpack_require__(6);

      Object.defineProperty(exports, "timeHour", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_hour).default;
        }
      });
      Object.defineProperty(exports, "timeHours", {
        enumerable: true,
        get: function get() {
          return _hour.hours;
        }
      });

      var _day = __webpack_require__(7);

      Object.defineProperty(exports, "timeDay", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_day).default;
        }
      });
      Object.defineProperty(exports, "timeDays", {
        enumerable: true,
        get: function get() {
          return _day.days;
        }
      });

      var _week = __webpack_require__(8);

      Object.defineProperty(exports, "timeWeek", {
        enumerable: true,
        get: function get() {
          return _week.sunday;
        }
      });
      Object.defineProperty(exports, "timeWeeks", {
        enumerable: true,
        get: function get() {
          return _week.sundays;
        }
      });
      Object.defineProperty(exports, "timeSunday", {
        enumerable: true,
        get: function get() {
          return _week.sunday;
        }
      });
      Object.defineProperty(exports, "timeSundays", {
        enumerable: true,
        get: function get() {
          return _week.sundays;
        }
      });
      Object.defineProperty(exports, "timeMonday", {
        enumerable: true,
        get: function get() {
          return _week.monday;
        }
      });
      Object.defineProperty(exports, "timeMondays", {
        enumerable: true,
        get: function get() {
          return _week.mondays;
        }
      });
      Object.defineProperty(exports, "timeTuesday", {
        enumerable: true,
        get: function get() {
          return _week.tuesday;
        }
      });
      Object.defineProperty(exports, "timeTuesdays", {
        enumerable: true,
        get: function get() {
          return _week.tuesdays;
        }
      });
      Object.defineProperty(exports, "timeWednesday", {
        enumerable: true,
        get: function get() {
          return _week.wednesday;
        }
      });
      Object.defineProperty(exports, "timeWednesdays", {
        enumerable: true,
        get: function get() {
          return _week.wednesdays;
        }
      });
      Object.defineProperty(exports, "timeThursday", {
        enumerable: true,
        get: function get() {
          return _week.thursday;
        }
      });
      Object.defineProperty(exports, "timeThursdays", {
        enumerable: true,
        get: function get() {
          return _week.thursdays;
        }
      });
      Object.defineProperty(exports, "timeFriday", {
        enumerable: true,
        get: function get() {
          return _week.friday;
        }
      });
      Object.defineProperty(exports, "timeFridays", {
        enumerable: true,
        get: function get() {
          return _week.fridays;
        }
      });
      Object.defineProperty(exports, "timeSaturday", {
        enumerable: true,
        get: function get() {
          return _week.saturday;
        }
      });
      Object.defineProperty(exports, "timeSaturdays", {
        enumerable: true,
        get: function get() {
          return _week.saturdays;
        }
      });

      var _month = __webpack_require__(9);

      Object.defineProperty(exports, "timeMonth", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_month).default;
        }
      });
      Object.defineProperty(exports, "timeMonths", {
        enumerable: true,
        get: function get() {
          return _month.months;
        }
      });

      var _year = __webpack_require__(10);

      Object.defineProperty(exports, "timeYear", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_year).default;
        }
      });
      Object.defineProperty(exports, "timeYears", {
        enumerable: true,
        get: function get() {
          return _year.years;
        }
      });

      var _utcMinute = __webpack_require__(11);

      Object.defineProperty(exports, "utcMinute", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_utcMinute).default;
        }
      });
      Object.defineProperty(exports, "utcMinutes", {
        enumerable: true,
        get: function get() {
          return _utcMinute.utcMinutes;
        }
      });

      var _utcHour = __webpack_require__(12);

      Object.defineProperty(exports, "utcHour", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_utcHour).default;
        }
      });
      Object.defineProperty(exports, "utcHours", {
        enumerable: true,
        get: function get() {
          return _utcHour.utcHours;
        }
      });

      var _utcDay = __webpack_require__(13);

      Object.defineProperty(exports, "utcDay", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_utcDay).default;
        }
      });
      Object.defineProperty(exports, "utcDays", {
        enumerable: true,
        get: function get() {
          return _utcDay.utcDays;
        }
      });

      var _utcWeek = __webpack_require__(14);

      Object.defineProperty(exports, "utcWeek", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSunday;
        }
      });
      Object.defineProperty(exports, "utcWeeks", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSundays;
        }
      });
      Object.defineProperty(exports, "utcSunday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSunday;
        }
      });
      Object.defineProperty(exports, "utcSundays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSundays;
        }
      });
      Object.defineProperty(exports, "utcMonday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcMonday;
        }
      });
      Object.defineProperty(exports, "utcMondays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcMondays;
        }
      });
      Object.defineProperty(exports, "utcTuesday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcTuesday;
        }
      });
      Object.defineProperty(exports, "utcTuesdays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcTuesdays;
        }
      });
      Object.defineProperty(exports, "utcWednesday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcWednesday;
        }
      });
      Object.defineProperty(exports, "utcWednesdays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcWednesdays;
        }
      });
      Object.defineProperty(exports, "utcThursday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcThursday;
        }
      });
      Object.defineProperty(exports, "utcThursdays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcThursdays;
        }
      });
      Object.defineProperty(exports, "utcFriday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcFriday;
        }
      });
      Object.defineProperty(exports, "utcFridays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcFridays;
        }
      });
      Object.defineProperty(exports, "utcSaturday", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSaturday;
        }
      });
      Object.defineProperty(exports, "utcSaturdays", {
        enumerable: true,
        get: function get() {
          return _utcWeek.utcSaturdays;
        }
      });

      var _utcMonth = __webpack_require__(15);

      Object.defineProperty(exports, "utcMonth", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_utcMonth).default;
        }
      });
      Object.defineProperty(exports, "utcMonths", {
        enumerable: true,
        get: function get() {
          return _utcMonth.utcMonths;
        }
      });

      var _utcYear = __webpack_require__(16);

      Object.defineProperty(exports, "utcYear", {
        enumerable: true,
        get: function get() {
          return _interopRequireDefault(_utcYear).default;
        }
      });
      Object.defineProperty(exports, "utcYears", {
        enumerable: true,
        get: function get() {
          return _utcYear.utcYears;
        }
      });

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      /***/
    },
    /* 3 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.milliseconds = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var millisecond = (0, _interval2.default)(function () {
        // noop
      }, function (date, step) {
        date.setTime(+date + step);
      }, function (start, end) {
        return end - start;
      });

      // An optimized implementation for this simple case.
      millisecond.every = function (k) {
        k = Math.floor(k);
        if (!isFinite(k) || !(k > 0)) return null;
        if (!(k > 1)) return millisecond;
        return (0, _interval2.default)(function (date) {
          date.setTime(Math.floor(date / k) * k);
        }, function (date, step) {
          date.setTime(+date + step * k);
        }, function (start, end) {
          return (end - start) / k;
        });
      };

      exports.default = millisecond;
      var milliseconds = exports.milliseconds = millisecond.range;

      /***/
    },
    /* 4 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.seconds = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var second = (0, _interval2.default)(function (date) {
        date.setTime(Math.floor(date / _duration.durationSecond) * _duration.durationSecond);
      }, function (date, step) {
        date.setTime(+date + step * _duration.durationSecond);
      }, function (start, end) {
        return (end - start) / _duration.durationSecond;
      }, function (date) {
        return date.getUTCSeconds();
      });

      exports.default = second;
      var seconds = exports.seconds = second.range;

      /***/
    },
    /* 5 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.minutes = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var minute = (0, _interval2.default)(function (date) {
        date.setTime(Math.floor(date / _duration.durationMinute) * _duration.durationMinute);
      }, function (date, step) {
        date.setTime(+date + step * _duration.durationMinute);
      }, function (start, end) {
        return (end - start) / _duration.durationMinute;
      }, function (date) {
        return date.getMinutes();
      });

      exports.default = minute;
      var minutes = exports.minutes = minute.range;

      /***/
    },
    /* 6 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.hours = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var hour = (0, _interval2.default)(function (date) {
        var offset = date.getTimezoneOffset() * _duration.durationMinute % _duration.durationHour;
        if (offset < 0) offset += _duration.durationHour;
        date.setTime(Math.floor((+date - offset) / _duration.durationHour) * _duration.durationHour + offset);
      }, function (date, step) {
        date.setTime(+date + step * _duration.durationHour);
      }, function (start, end) {
        return (end - start) / _duration.durationHour;
      }, function (date) {
        return date.getHours();
      });

      exports.default = hour;
      var hours = exports.hours = hour.range;

      /***/
    },
    /* 7 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.days = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var day = (0, _interval2.default)(function (date) {
        date.setHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setDate(date.getDate() + step);
      }, function (start, end) {
        return (end - start - (end.getTimezoneOffset() - start.getTimezoneOffset()) * _duration.durationMinute) / _duration.durationDay;
      }, function (date) {
        return date.getDate() - 1;
      });

      exports.default = day;
      var days = exports.days = day.range;

      /***/
    },
    /* 8 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.saturdays = exports.fridays = exports.thursdays = exports.wednesdays = exports.tuesdays = exports.mondays = exports.sundays = exports.saturday = exports.friday = exports.thursday = exports.wednesday = exports.tuesday = exports.monday = exports.sunday = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      function weekday(i) {
        return (0, _interval2.default)(function (date) {
          date.setDate(date.getDate() - (date.getDay() + 7 - i) % 7);
          date.setHours(0, 0, 0, 0);
        }, function (date, step) {
          date.setDate(date.getDate() + step * 7);
        }, function (start, end) {
          return (end - start - (end.getTimezoneOffset() - start.getTimezoneOffset()) * _duration.durationMinute) / _duration.durationWeek;
        });
      }

      var sunday = exports.sunday = weekday(0);
      var monday = exports.monday = weekday(1);
      var tuesday = exports.tuesday = weekday(2);
      var wednesday = exports.wednesday = weekday(3);
      var thursday = exports.thursday = weekday(4);
      var friday = exports.friday = weekday(5);
      var saturday = exports.saturday = weekday(6);

      var sundays = exports.sundays = sunday.range;
      var mondays = exports.mondays = monday.range;
      var tuesdays = exports.tuesdays = tuesday.range;
      var wednesdays = exports.wednesdays = wednesday.range;
      var thursdays = exports.thursdays = thursday.range;
      var fridays = exports.fridays = friday.range;
      var saturdays = exports.saturdays = saturday.range;

      /***/
    },
    /* 9 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.months = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var month = (0, _interval2.default)(function (date) {
        date.setDate(1);
        date.setHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setMonth(date.getMonth() + step);
      }, function (start, end) {
        return end.getMonth() - start.getMonth() + (end.getFullYear() - start.getFullYear()) * 12;
      }, function (date) {
        return date.getMonth();
      });

      exports.default = month;
      var months = exports.months = month.range;

      /***/
    },
    /* 10 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.years = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var year = (0, _interval2.default)(function (date) {
        date.setMonth(0, 1);
        date.setHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setFullYear(date.getFullYear() + step);
      }, function (start, end) {
        return end.getFullYear() - start.getFullYear();
      }, function (date) {
        return date.getFullYear();
      });

      // An optimized implementation for this simple case.
      year.every = function (k) {
        return !isFinite(k = Math.floor(k)) || !(k > 0) ? null : (0, _interval2.default)(function (date) {
          date.setFullYear(Math.floor(date.getFullYear() / k) * k);
          date.setMonth(0, 1);
          date.setHours(0, 0, 0, 0);
        }, function (date, step) {
          date.setFullYear(date.getFullYear() + step * k);
        });
      };

      exports.default = year;
      var years = exports.years = year.range;

      /***/
    },
    /* 11 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcMinutes = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var utcMinute = (0, _interval2.default)(function (date) {
        date.setUTCSeconds(0, 0);
      }, function (date, step) {
        date.setTime(+date + step * _duration.durationMinute);
      }, function (start, end) {
        return (end - start) / _duration.durationMinute;
      }, function (date) {
        return date.getUTCMinutes();
      });

      exports.default = utcMinute;
      var utcMinutes = exports.utcMinutes = utcMinute.range;

      /***/
    },
    /* 12 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcHours = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var utcHour = (0, _interval2.default)(function (date) {
        date.setUTCMinutes(0, 0, 0);
      }, function (date, step) {
        date.setTime(+date + step * _duration.durationHour);
      }, function (start, end) {
        return (end - start) / _duration.durationHour;
      }, function (date) {
        return date.getUTCHours();
      });

      exports.default = utcHour;
      var utcHours = exports.utcHours = utcHour.range;

      /***/
    },
    /* 13 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcDays = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var utcDay = (0, _interval2.default)(function (date) {
        date.setUTCHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setUTCDate(date.getUTCDate() + step);
      }, function (start, end) {
        return (end - start) / _duration.durationDay;
      }, function (date) {
        return date.getUTCDate() - 1;
      });

      exports.default = utcDay;
      var utcDays = exports.utcDays = utcDay.range;

      /***/
    },
    /* 14 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcSaturdays = exports.utcFridays = exports.utcThursdays = exports.utcWednesdays = exports.utcTuesdays = exports.utcMondays = exports.utcSundays = exports.utcSaturday = exports.utcFriday = exports.utcThursday = exports.utcWednesday = exports.utcTuesday = exports.utcMonday = exports.utcSunday = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      var _duration = __webpack_require__(1);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      function utcWeekday(i) {
        return (0, _interval2.default)(function (date) {
          date.setUTCDate(date.getUTCDate() - (date.getUTCDay() + 7 - i) % 7);
          date.setUTCHours(0, 0, 0, 0);
        }, function (date, step) {
          date.setUTCDate(date.getUTCDate() + step * 7);
        }, function (start, end) {
          return (end - start) / _duration.durationWeek;
        });
      }

      var utcSunday = exports.utcSunday = utcWeekday(0);
      var utcMonday = exports.utcMonday = utcWeekday(1);
      var utcTuesday = exports.utcTuesday = utcWeekday(2);
      var utcWednesday = exports.utcWednesday = utcWeekday(3);
      var utcThursday = exports.utcThursday = utcWeekday(4);
      var utcFriday = exports.utcFriday = utcWeekday(5);
      var utcSaturday = exports.utcSaturday = utcWeekday(6);

      var utcSundays = exports.utcSundays = utcSunday.range;
      var utcMondays = exports.utcMondays = utcMonday.range;
      var utcTuesdays = exports.utcTuesdays = utcTuesday.range;
      var utcWednesdays = exports.utcWednesdays = utcWednesday.range;
      var utcThursdays = exports.utcThursdays = utcThursday.range;
      var utcFridays = exports.utcFridays = utcFriday.range;
      var utcSaturdays = exports.utcSaturdays = utcSaturday.range;

      /***/
    },
    /* 15 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcMonths = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var utcMonth = (0, _interval2.default)(function (date) {
        date.setUTCDate(1);
        date.setUTCHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setUTCMonth(date.getUTCMonth() + step);
      }, function (start, end) {
        return end.getUTCMonth() - start.getUTCMonth() + (end.getUTCFullYear() - start.getUTCFullYear()) * 12;
      }, function (date) {
        return date.getUTCMonth();
      });

      exports.default = utcMonth;
      var utcMonths = exports.utcMonths = utcMonth.range;

      /***/
    },
    /* 16 */
    /***/function (module, exports, __webpack_require__) {

      "use strict";

      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.utcYears = undefined;

      var _interval = __webpack_require__(0);

      var _interval2 = _interopRequireDefault(_interval);

      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }

      var utcYear = (0, _interval2.default)(function (date) {
        date.setUTCMonth(0, 1);
        date.setUTCHours(0, 0, 0, 0);
      }, function (date, step) {
        date.setUTCFullYear(date.getUTCFullYear() + step);
      }, function (start, end) {
        return end.getUTCFullYear() - start.getUTCFullYear();
      }, function (date) {
        return date.getUTCFullYear();
      });

      // An optimized implementation for this simple case.
      utcYear.every = function (k) {
        return !isFinite(k = Math.floor(k)) || !(k > 0) ? null : (0, _interval2.default)(function (date) {
          date.setUTCFullYear(Math.floor(date.getUTCFullYear() / k) * k);
          date.setUTCMonth(0, 1);
          date.setUTCHours(0, 0, 0, 0);
        }, function (date, step) {
          date.setUTCFullYear(date.getUTCFullYear() + step * k);
        });
      };

      exports.default = utcYear;
      var utcYears = exports.utcYears = utcYear.range;

      /***/
    }]
    /******/)
  );
});
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(5)(module)))

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function (module) {
	if (!module.webpackPolyfill) {
		module.deprecate = function () {};
		module.paths = [];
		// module.parent = undefined by default
		if (!module.children) module.children = [];
		Object.defineProperty(module, "loaded", {
			enumerable: true,
			get: function get() {
				return module.l;
			}
		});
		Object.defineProperty(module, "id", {
			enumerable: true,
			get: function get() {
				return module.i;
			}
		});
		module.webpackPolyfill = 1;
	}
	return module;
};

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isoFormat = __webpack_require__(2);

var _defaultLocale = __webpack_require__(0);

function parseIsoNative(string) {
  var date = new Date(string);
  return isNaN(date) ? null : date;
}

var parseIso = +new Date("2000-01-01T00:00:00.000Z") ? parseIsoNative : (0, _defaultLocale.utcParse)(_isoFormat.isoSpecifier);

exports.default = parseIso;
module.exports = exports["default"];

/***/ })
/******/ ]);
});